%#   This program is free software: you can redistribute it and/or modify
%#   it under the terms of the GNU General Public License as published by
%#    the Free Software Foundation, either version 3 of the License, or
%#   (at your option) any later version.

%#    This program is distributed in the hope that it will be useful,
%#    but WITHOUT ANY WARRANTY; without even the implied warranty of
%#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%#    GNU General Public License for more details.

%#    You should have received a copy of the GNU General Public License
%#    along with this program.  If not, see <LINK TO LICENSE>.

clear;
close all;

%% Determine cutoff wavenumber to find ERS pseudo-peak
%% ERS will be determined as the maximum peak under the cutoff wavenumber
ERScutoff=390;

list=dir;
for ii=3:length(list)
    myfilename=split(list(ii).name,'.');
    ext=myfilename{length(myfilename)};
    if strcmp(ext,'txt')
        temp=load(list(ii).name);
        
        xtemp=temp(:,1);
   
       ERScutoffind=sum((temp(:,1)<ERScutoff));
        yramans=temp(:,2:end);
       
     
        yramansnormal=yramans./max(yramans(1:ERScutoffind,:));
        alldatanormalized=[xtemp yramansnormal];
        
      
        resfilename=erase(list(ii).name,'.txt');
        save(['allspectra-Normalized-' resfilename '.txt'],'alldatanormalized','-ascii');
    end
end